Bug 1144048 - Please add "pam_keyinit.so" to the /etc/pam.d/gnomesu-pam configuration file
Please add "pam_keyinit.so" to the /etc/pam.d/gnomesu-pam configuration file
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: GNOME
Current
All openSUSE Factory
: P5 - None : Normal (vote)
: Current
Assigned To: Felix Zhang
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-02 14:54 UTC by Josef Möllers
Modified: 2019-08-12 14:36 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Möllers 2019-08-02 14:54:47 UTC
In the near future, the use of kernel keyrings will be enabled by systemd.
To fully support this feature, the libgnomesu package must include the pam_keyinit.so
module in its /etc/pam.d/gnomesu-pam configuration file.
Please add this module to the /etc/pam.d/gnomesu-pam configuration file with the
appropriate parameters:
session optional pam_keyinit.so revoke [force]
Thanks.
Comment 1 Felix Zhang 2019-08-05 03:39:23 UTC
Taking this as I'm working on a similar fix for xrdp.
Comment 3 Felix Zhang 2019-08-07 09:49:46 UTC
Fix checked in obs GNOME:Factory and SUSE:SLE-15:Update.
Comment 4 Felix Zhang 2019-08-08 06:48:56 UTC
Changing Product to "Tumbleweed” with clarifications from Josef.
Submission to SLE-15 will be dropped.